petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPSetPC

Sets the preconditioner to be used to calculate the application of the preconditioner on a vector.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetPC(KSP ksp,PC pc)

Collective on ksp

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| pc | - the preconditioner object

### Notes

Use KSPGetPC() to retrieve the preconditioner context (for example, to free it at the end of the computations).

### See Also

KSPGetPC(), KSP

### Level

developer

### Location

src/ksp/ksp/interface/itfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages